Page MenuHomePhabricator

Use localised numerals for Pashto
Closed, ResolvedPublic

Description

Currently Pashto language wikis like Pashto Wikipedia and Wiktionary are using English numerals. But people in Afghanistan who can read Pashto language, can't understand English numerals. Because the Pashtun people (In Afghanistan) have there own numerals which is same as Persian numerals, list of Pashto numerals: ١٢٣۴۵۶۷۸۹٠.
In Pakistan they don't use Pashto language for writing and reading, language in Pakistani school's and websites and everything is Urdu and English, Pashto is only a speaking language in Pakistan, for more information about Pashto language in Pakistan please check the website of Government of Khyber Pakhtunkhwa: https://kp.gov.pk/page/languages

Some example Sites which are using Pashto Numerals

i wrote Pashto version, because many of Afghanistan's websites have two versions Dari and Pashto

Event Timeline

Af420 created this task.Nov 23 2017, 11:54 PM

Change 393168 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@master] Add Pashton numerals based from Arabic

https://gerrit.wikimedia.org/r/393168

Arabic: ١٢٣٤٥٦٧٨٩
Pashto: ۱۲۳۴۵۶۷۸۹

Reedy added a subscriber: Reedy.Nov 24 2017, 12:15 AM
$digitTransformTable = [
	'0' => '٠', # ٠
	'1' => '١', # ١
	'2' => '٢', # ٢
	'3' => '٣', # ٣
	'4' => '٤', # ٤
	'5' => '٥', # ٥
	'6' => '٦', # ٦
	'7' => '٧', # ٧
	'8' => '٨', # ٨
	'9' => '٩', # ٩
	'.' => '٫', # ٫
	',' => '٬', # ٬
];

^ Can you use those, and change them as appropriate? It looks like 4-6 are different, but it's harder for me to tell

This comment was removed by Af420.
Af420 added a comment.EditedNov 24 2017, 12:22 AM
$digitTransformTable = [
	'0' => '٠', # ٠
	'1' => '١', # ١
	'2' => '٢', # ٢
	'3' => '٣', # ٣
	'4' => '٤', # ٤
	'5' => '٥', # ٥
	'6' => '٦', # ٦
	'7' => '٧', # ٧
	'8' => '٨', # ٨
	'9' => '٩', # ٩
	'.' => '٫', # ٫
	',' => '٬', # ٬
];

^ Can you use those, and change them as appropriate? It looks like 4-6 are different, but it's harder for me to tell

6 is right because we use ٦-۶ it means 6 it's no problem, but 4-5 are not in Pashto, this is (4۴) and (5۵) in Pashto.

Seems there were some different number sets for those

$digitTransformTable = [
	'0' => '۰', # ᝶
	'1' => '۱', # ᝷
	'2' => '۲', # ᝸
	'3' => '۳', # ᝹
	'4' => '۴', # ក
	'5' => '۵', # ខ
	'6' => '۶', # គ
	'7' => '۷', # ឃ
	'8' => '۸', # ង
	'9' => '۹', # ច
	'.' => '٫', # ٫
	',' => '٬', # ٬
];

Seems there were some different number sets for those

$digitTransformTable = [
	'0' => '۰', # ᝶
	'1' => '۱', # ᝷
	'2' => '۲', # ᝸
	'3' => '۳', # ᝹
	'4' => '۴', # ក
	'5' => '۵', # ខ
	'6' => '۶', # គ
	'7' => '۷', # ឃ
	'8' => '۸', # ង
	'9' => '۹', # ច
	'.' => '٫', # ٫
	',' => '٬', # ٬
];

This numerals are 100% right.

Af420 added a comment.Nov 24 2017, 1:07 PM

Seems there were some different number sets for those

$digitTransformTable = [
	'0' => '۰', # ᝶
	'1' => '۱', # ᝷
	'2' => '۲', # ᝸
	'3' => '۳', # ᝹
	'4' => '۴', # ក
	'5' => '۵', # ខ
	'6' => '۶', # គ
	'7' => '۷', # ឃ
	'8' => '۸', # ង
	'9' => '۹', # ច
	'.' => '٫', # ٫
	',' => '٬', # ٬
];

So what we are waiting for now?

Reedy added a comment.Nov 24 2017, 2:19 PM

Someone to review and merge it. Then it will go out with the normal deployment cadence

Aklapper removed Aklapper as the assignee of this task.Nov 24 2017, 6:08 PM
Aklapper added a subscriber: Aklapper.
Af420 added a comment.Nov 24 2017, 6:18 PM

Something is wrong? if yes then sorry because I'm new here.

Af420 added a comment.Nov 27 2017, 2:12 PM

Someone to review and merge it. Then it will go out with the normal deployment cadence

Hei sir did you know when they will Check it out? :)

@Baloch007: Whenever someone has time.
Currently https://gerrit.wikimedia.org/r/#/c/393168/ shows "Code Review -1", so the patch needs improvements. See the docs if you'd like to improve the patch.

Change 393168 merged by jenkins-bot:
[mediawiki/core@master] Add Pashto numerals based on Arabic

https://gerrit.wikimedia.org/r/393168

Reedy closed this task as Resolved.Nov 27 2017, 6:40 PM
Reedy claimed this task.